t.remove(1)

NAME
t.remove.py - Removes space time datasets from temporal database.

KEYWORDS
temporal, map management, remove

SYNOPSIS
t.remove.py
t.remove.py --help
t.remove.py [-rf] [inputs=name[,name,...]] [type=string] [file=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Remove all registered maps from the temporal and spatial database

-f
    Force recursive removing

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

inputs=name[,name,...]
    Name of the input space time datasets

type=string
    Type of the space time dataset, default is strds
    Options: strds, str3ds, stvds
    Default: strds

file=name
    Input file with dataset names, one per line

DESCRIPTION
The module t.remove removes space time datasets (STRDS, STR3DS, STVDS) from the temporal database. In other words, it deletes the relevant database entries and not the maps.

Optionally, also the raster, 3D raster and vector maps of the space time datasets can be removed using the -r (recursive) and -f (force) flags. Recursive removal works only if both flags are checked (use -rf).

EXAMPLE
In this example a space time raster dataset (STRDS) named precip_months_sum will be created using a subset of the monthly precipitation raster maps from the North Carolina climate sample data set. In order to be able to show case recursive removal without deleting original sample data, new data is generated by means of computing yearly precipitation sums. Finally, all newly produced data (STRDS and raster maps) is removed again.

#Create new and empty STRDS
t.create output=precip_months_sum semantictype=mean \
  title="Monthly sum of precipitation" \
  description="Monthly sum of precipitation for the \
  North Carolina sample data location"
#Register maps from sample dataset (selecting a subset with g.list)
t.register -i type=raster input=precip_months_sum \
  maps=$(g.list type=raster pattern=201*_precip separator=comma) \
  start="2010-01-01" increment="1 months"
#Create some new data by aggregating with 1 years granularity
t.rast.aggregate input=precip_months_sum \
  output=precip_years_sum basename=precip_years_sum granularity="1 \
  years" method=sum
#Remove all newly produced data:
# a) the aggregated STRDS with 1 years granularity together with its raster maps
t.remove -rf type=strds input=precip_years_sum
# b) the STRDS with 1 months granularity, but not the original sample data
t.remove type=strds input=precip_months_sum

SEE ALSO
t.create, t.info, t.register

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2014-12-27 00:50:11 +0100 (so, 27 XII 2014) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual